section_boundary {
    display: block;
    unicode-bidi: isolate;
}

.grp-wrapper-class .bordered.rounded.video-border,
.gjs-editor-cont .bordered.rounded.video-border {
    pointer-events: none;
}

.container.grp-wrapper-class,
.container.gjs-editor-cont {
    background-color: #000;
    color: gray;
    font-size: clamp(17px, 4vw, 20px);
    font-style: normal;
    font-weight: 400;
    line-height: 1.5em;
    overflow-y: auto;
}

buttonform > div,
dialogform > div,
plainform > div,
wizardform > div,
form > div,
.buttonform-cmp-css > div {
    pointer-events: unset !important;
}

.grp-wrapper-class buttonform > div,
.gjs-editor-cont buttonform > div,
.grp-wrapper-class dialogform > div,
.gjs-editor-cont dialogform > div,
.grp-wrapper-class plainform > div,
.gjs-editor-cont plainform > div,
.grp-wrapper-class wizardform > div,
.gjs-editor-cont wizardform > div,
.grp-wrapper-class form > div,
.gjs-editor-cont form > div,
.grp-wrapper-class .widgets > *,
.gjs-editor-cont .widgets > *,
.grp-wrapper-class .webinar-cmp-css > div,
.gjs-editor-cont .webinar-cmp-css > div,
.grp-wrapper-class .buttonform-cmp-css > div,
.gjs-editor-cont .buttonform-cmp-css > div {
    pointer-events: none !important;
}

.grp-wrapper-class buttonform *,
.grp-wrapper-class dialogform *,
.grp-wrapper-class plainform *,
.grp-wrapper-class wizardform *,
.grp-wrapper-class form *,
.grp-wrapper-class .widgets *,
.grp-wrapper-class .webinar-cmp-css *,
.grp-wrapper-class .buttonform-cmp-css *,
.grp-wrapper-class .slider-cmp-css * {
    outline: unset !important;
    outline-offset: unset !important;
}

.grp-wrapper-class .vertical-testimonials:before,
.gjs-editor-cont .vertical-testimonials:before {
    position: unset;
}

.grp-wrapper-class .embed-container #video-embed,
.gjs-editor-cont .embed-container #video-embed {
    width: 100%;
    height: 600px;
}

.grp-wrapper-class .container-fluid,
.gjs-editor-cont .container-fluid {
    padding: 0;
}

.collapse {
    display: none;
}

.collapse.show {
    display: block;
}

.grp-wrapper-class .widgets .animate-marquee blockquote svg {
    fill: #06b6d4;
}

.widgets .animate-marquee.animate-marquee-1 {--marquee-duration: 28640ms;}
.widgets .animate-marquee.animate-marquee-2 {--marquee-duration: 41280ms;}
.widgets .animate-marquee.animate-marquee-3 {--marquee-duration: 22320ms;}
.widgets .animate-marquee .animate-fade-in.animate-fade-0 {animation-delay: 0s;}
.widgets .animate-marquee .animate-fade-in.animate-fade-1 {animation-delay: 0.1s;}
.widgets .animate-marquee .animate-fade-in.animate-fade-2 {animation-delay: 0.2s;}
.widgets .animate-marquee .animate-fade-in.animate-fade-3 {animation-delay: 0.3s;}
.widgets .animate-marquee .animate-fade-in.animate-fade-5 {animation-delay: 0.5s;}

.grp-wrapper-class .pocketMobSec {
    min-width: 318px;
    top: 25px;
    left: 25px;
    padding-top: 25px;
}

.grp-wrapper-class .avoid-component-drop,
.gjs-editor-cont .avoid-component-drop {
    pointer-events: none !important;
}
.gjs-editor-cont .avoid-component-drop * {
    outline: unset !important;
    outline-offset: unset !important;
}
/* Disable pointer events on header, footer and all their descendants */
.grp-wrapper-class header,
.grp-wrapper-class footer,
.grp-wrapper-class header *,
.grp-wrapper-class footer *,
.gjs-editor-cont header,
.gjs-editor-cont footer,
.gjs-editor-cont header *,
.gjs-editor-cont footer * {
    pointer-events: none !important;
    outline: unset !important;
    outline-offset: unset !important;
}

/* Disable pointer events for sliders */
.grp-wrapper-class .carousel-main.editor_mode,
.grp-wrapper-class .carousel-main.editor_mode *,
.gjs-editor-cont .carousel-main.editor_mode,
.gjs-editor-cont .carousel-main.editor_mode * {
    pointer-events: none !important;
}

/* Disable pointer > enigma theme > home page > about us > vision bg section */
.grp-wrapper-class .elementor-background-overlay,
.gjs-editor-cont .elementor-background-overlay {
    pointer-events: none !important;
}


.overflow-hidden.grp-wrapper-class,
.main-wrapper-onepage.grp-wrapper-class,
.main_wrapper.grp-wrapper-class {
    overflow-y: auto !important;
}

.grp-wrapper-class [data-aos^=fade][data-aos^=fade] {
    opacity: 1 !important;
    transform: unset !important;
}

.grp-wrapper-class .faqAccordionMain.widgets dl:first-child,
.grp-wrapper-class .widgets .book_now_faq .faq-list:first-child {
    display: none;
}

/* section boundary */
/*.grp-wrapper-class .result-boxes {
    padding: 0 50px 0 80px;
    background-color: #1b1b1b;
}*/

/* Section boundary selection on nested div section */
.grp-wrapper-class section_boundary {
    pointer-events: auto;
}

.grp-wrapper-class section_boundary > * {
    pointer-events: none;
}

.grp-wrapper-class section_boundary .drop-component,
.grp-wrapper-class section_boundary .drop-zone,
.grp-wrapper-class section_boundary .plus-icon,
.grp-wrapper-class section_boundary img {
    pointer-events: auto !important;
}

.grp-wrapper-class section_boundary .webinar-cmp-css img,
.grp-wrapper-class section_boundary .widgets img {
    pointer-events: none !important;
}

.ql-container .ql-editor-message{
    padding: 20px;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #dee2e696;
}

/* chatbot alignment */
#react-chatbotify-container .rcb-chat-header div:not(.rcb-bot-avatar) {
    width: 100%;
    overflow: hidden;
}

.text-justify{
    text-align: justify;
}


/* .grp-wrapper-class section_boundary.gjs-selected {overflow: visible;} */


/** slider widget */
[data-widget="blog_classic_card_slider"],
[data-widget="course_gallery_slider"],
[data-widget="feedback_cards_slider"],
[data-widget="stacked_feedback_slider"],
[data-widget="team_formal_view_slider"]
{
    width: 100%;
}

.grp-wrapper-class .blog_classic_card_slider .carousel-main .carousel-build .carousel-sec .carousel-group .carousel-group-item, 
.grp-wrapper-class .course_gallery_slider .carousel-main .carousel-build .carousel-sec .carousel-group .carousel-group-item, 
.grp-wrapper-class .stacked_feedback_slider .carousel-main .carousel-build .carousel-sec .carousel-group .carousel-group-item 
{ 
    min-width: 50%;
}
.grp-wrapper-class .team_formal_view_slider .carousel-main .carousel-build .carousel-sec .carousel-group .carousel-group-item 
{ 
    min-width: 33%;
}
